Cancel Workload
PUT
/api/v1/workloads/{workload_id}/cancel
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workload_id
required
Workload Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
NonPaginatedResponse[ProducedWorkloadResponse]
Represents a response with either a list of items or a single item in a single page.
Generic Parameters:
- A (TypeVar): The type bound to this class, which can be a single BaseModel,
a list of BaseModels, or None.
Usage:
- To respond with an unpaginated list of FooResponse items
from an API endpoint, ensure that your function
returns NonPaginatedResponse[List[FooResponse]].
- To respond with a single `FooResponse` item from an API endpoint,
make sure that your function returns `NonPaginatedResponse[FooResponse]`
and that Python recognizes it.object
data
ProducedWorkloadResponse
Response schema for a workload with embedded results as dict.
object
id
required
Id
string format: uuid
start_timestamp
Start Timestamp
string format: date-time
end_timestamp
End Timestamp
string format: date-time
created_at
required
Created At
string format: date-time
updated_at
Updated At
string format: date-time
workload_type
required
Workload Type
string
backend
required
Backend
string
status
required
JobStatus
An enumeration.
string
config
required
Config
object
errors
Errors
Array<string>
project_id
required
Project Id
string format: uuid
user_id
required
User Id
string
queue_priority
required
QueuePriority
Values represent the queue a value will be written to, each priority represents the order of preference batches will be executed. Queue priority is processed in a descending order: CRITICAL, HIGH, MEDIUM, LOW, FREE
string
result
Result
object
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
